#### D.5.2.19 chProdE

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chProdE(c, C); c, C lists of polynomials

Return:
  list of polynomials

Purpose:
  computes the list of Chern classes of the product
  of two vector bundles in terms of their Chern clases

Note:
  makes sense only for (lists of) polynomials;
  uses elimination, hence very inefficient;
  included only for comparison with chProd(...)

Example:

    LIB "chern.lib";
    ring H = 0, ( c(1..3), C(1..2) ), dp;
    list l=c(1..3);
    list L=C(1..2);
    // the Chern classes of the tensor product of a vector bundle E of rank 3
    // with Chern classes c(1), c(2), c(3)
    // and a vector bundle F of rank 2 with Chern classes C(1) and C(2):
    print( chProdE(l,  L) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.